org.apache.http.conn.ssl

## Class AllowAllHostnameVerifier

- java.lang.Object
- - org.apache.http.conn.ssl.AbstractVerifier
  - - org.apache.http.conn.ssl.AllowAllHostnameVerifier

- All Implemented Interfaces:
    HostnameVerifier ， X509HostnameVerifier

  已过时。
  （4.4）使用`NoopHostnameVerifier`

      @Deprecated
      @Contract(threading=IMMUTABLE)
      public class AllowAllHostnameVerifier
      extends AbstractVerifier

  ALLOW_ALL HostnameVerifier基本上关闭主机名验证。 这个实现是无操作的，永远不会抛出SSLException。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AllowAllHostnameVerifier` | `INSTANCE` 已过时。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `AllowAllHostnameVerifier()` 已过时。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` 已过时。
    `void` | `verify(String host, String[] cns, String[] subjectAlts)` 已过时。 检查提供的主机名是否匹配任何提供的CN或“DNS”主题。

    - ### Methods inherited from class org.apache.http.conn.ssl.AbstractVerifier

      `acceptableCountryWildcard, countDots, getCNs, getDNSSubjectAlts, verify, verify, verify, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 字段详细信息

    - #### INSTANCE

          public static final AllowAllHostnameVerifier INSTANCE

      已过时。

  - ### 构造方法详细信息

    - #### AllowAllHostnameVerifier

          public AllowAllHostnameVerifier()

      已过时。

  - ### 方法详细信息

    - #### verify

          public final void verify(String host,
                    String[] cns,
                    String[] subjectAlts)

      已过时。
      描述从接口`X509HostnameVerifier`复制
      检查提供的主机名是否匹配任何提供的CN或“DNS”主题。 大多数实现只看第一个CN，忽略任何其他的CN。 大多数实现都会查看所有的“DNS”主题。 CN或Subject-Alts可以包含根据RFC 2818的通配符。
      参数
        `host` - 要验证的主机名。
        `cns` - 从X.509证书中提取的CN字段。
        `subjectAlts` - 从X.509证书中提取的类型2（“DNS”）的Subject-Alt字段。

    - #### toString

          public final String toString()

      已过时。
      重写：
        `toString`在 `Object`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585